Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.remoting
Class RemotingToAOPServerInterceptor

    java.lang.Object
      org.jboss.aspects.remoting.RemotingToAOPServerInterceptor

All Implemented Interfaces:
  org.jboss.remoting.ServerInterceptor

public class RemotingToAOPServerInterceptor
extends Object
implements org.jboss.remoting.ServerInterceptor

RemotingToAOPServerInterceptor is a ServerInterceptor that will forward requests to the aop Dispatcher

Version:
  $Revision: 1.2 $
Author:
  Bill Burke, David Jencks

Constructor Summary
`RemotingToAOPServerInterceptor()`

Method Summary
`org.jboss.remoting.ServerInterceptor` | `getInstance()` The `getInstance` method
`Object` | `invoke(org.jboss.remoting.ServerInterceptorChain.InterceptorIterator interceptorIterator, org.jboss.remoting.InvocationRequest invocation)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemotingToAOPServerInterceptor

    public RemotingToAOPServerInterceptor()

Method Detail

### invoke

    public Object invoke(org.jboss.remoting.ServerInterceptorChain.InterceptorIterator interceptorIterator,
                         org.jboss.remoting.InvocationRequest invocation)
                  throws Throwable

  Specified by:
    `invoke` in interface `org.jboss.remoting.ServerInterceptor`
  Throws:
    `Throwable`

### getInstance

    public org.jboss.remoting.ServerInterceptor getInstance()

  The `getInstance` method

  Specified by:
    `getInstance` in interface `org.jboss.remoting.ServerInterceptor`
  Returns:
    a `ServerInterceptor` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.